import QtQuick 1.0
/*
 * http://2lx.ru - Мобильный программинг
 * Учимся писать софт для компьютеров и смартфонов на Qt и не только...
 */

Rectangle {
    width: 360
    height: 360

    Text{
        id: loading
        anchors.centerIn: parent
    }

    XmlListModel {
         id: xmlmodel
         // URL-адрес источника RSS-ленты
         source: "http://www.vesti.ru/vesti.rss"
         // запросы XmlRole будут проводиться на элемента
         query: "/rss/channel/item"
         // Получаем заголовок новости
         XmlRole { name: "title"; query: "title/string()" }
         // Получаем дату публикации новости
         XmlRole { name: "pubDate"; query: "pubDate/string()" }
         // Получаем опсиание новости
         XmlRole { name: "description"; query: "description/string()" }
         onProgressChanged: {
             if (progress == 1)
             {
                 loading.visible = false;
                 view.visible = true;
             }
             else
                 loading.text = Math.floor(progress*100) + "%"
         }
     }

    ListView{
        id:view
        visible:false
        anchors.fill: parent
        model: xmlmodel
        delegate: Text{
            width: parent.width
            wrapMode: Text.Wrap
            text: "<strong>" + title + "</strong> " + pubDate
                  + "<div>" + description + "</div><br />";
        }
    }
}
